Errors at Gramps Start-up

I get 2 errors every time I load Gramps. I’ve tried following the instructions but have been unable to fix it. I’ve taken a screenshot of the 2 errors but can’t see how to upload them here. Can someone guide me?

Thanks,
Alan

Just drag’n’drop the image file icon for the screen capture. Drag from the directory folder to the message’s text editing box.

Okay here is screenshot 1

Gramps Error 1

And here is screen shot 2 Gramps Error 2

There was an earlier thread on this. You do not say which OS you are using but I am guessing Win10.

No I’m using Ubuntu 20.10

Try deleting the lifelinechartview_warn.ini in your user plugin directory. Instead of the Win10 locations I detail in the post below here is the Gramps 5.1 Wiki Manual - User Directory. Not a Linux user so not sure if this will work for you.

Here is the wiki for the addon. It may tell you more about the prerequisites.

Thanks so much. This seems to have worked. :slightly_smiling_face: I just reloaded Gramps after applying this change and updated the addons that were available. I got the error attached. Screenshot from 2020-11-20 09-55-36

Can I fix this error also?

Again, I am not sure about issues with all the flavors of Linux. As a Win10 user, the AIO (All In One) installer usually has everything we need.

I just did a quick search from the mailing lists and found this thread about the Network Chart.

It started out with the error loading on a windows machine, but another user had the same issue on Linux. Sam888 pointed the user to the prerequisites and a filed bug about the issue.

Hope this helps.

The Mailing Lists have a longer archive history that may offer solutions. You can find them here and try searches on the other errors.

And here is the addon listings with links to their sites that may have more about their prerequisites.

I will also try more research on the other errors.

Many thanks Dave. I ran the suggestions listed under ‘prerequisites’ on the page you directed me to and the only error coming up now is this:

cjmninoeebbkpenk.png

So I’ll contact the author at the email address shown to get further advice.

Regards,
Alan

The ‘5.1 Addons’ link led me to what appears to be the answer. I ran ‘pip install life-line-chart’ and when I opened Gramps the 2 errors didn’t come up. So hopefully the problem has been solved. Thanks so much for your efforts on my behalf.

Regards,
Alan

1 Like